### Constructor

# ICalGLib Parameter new_gap

since: 4.0

#### Declaration [src]

    ICalParameter*
    i_cal_parameter_new_gap (
      const ICalDuration* value
    )

#### Description [src]

Creates a new `ICalParameter` holding GAP.

Available since: 4.0

#### Parameters

`value`

  Type: `ICalDuration`

  The `ICalDuration` value.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalParameter`

A new `ICalParameter` holding GAP.

The caller of the function takes ownership of the data, and is responsible for freeing it.